Bug 1443735 - Fix gnocchi to support migrating resource uuid without project/user associated
Summary: Fix gnocchi to support migrating resource uuid without project/user associated
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-gnocchi
Version: 11.0 (Ocata)
Hardware: Unspecified
OS: Unspecified
urgent
high
Target Milestone: rc
: 11.0 (Ocata)
Assignee: Julien Danjou
QA Contact: Marius Cornea
URL:
Whiteboard:
Depends On:
Blocks: 1443686
TreeView+ depends on / blocked
 
Reported: 2017-04-19 20:49 UTC by Pradeep Kilambi
Modified: 2017-05-17 20:23 UTC (History)
13 users (show)

Fixed In Version: openstack-gnocchi-3.1.2-5.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1443686
Environment:
Last Closed: 2017-05-17 20:23:12 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2017:1245 normal SHIPPED_LIVE Red Hat OpenStack Platform 11.0 Bug Fix and Enhancement Advisory 2017-05-17 23:01:50 UTC
OpenStack gerrit 458355 None None None 2017-04-20 07:21:38 UTC
Launchpad 1684246 None None None 2017-04-20 06:41:11 UTC

Comment 1 Pradeep Kilambi 2017-04-19 20:51:42 UTC
This bug is to track the fix in gnocchi

Comment 2 Pradeep Kilambi 2017-04-19 21:05:02 UTC
traceback in gnocchi-upgrade logs

[root@overcloud-controller-0 heat-admin]# cat /var/log/gnocchi/gnocchi-upgrade.log
2017-04-18 20:41:13.298 39313 INFO gnocchi.cli [-] Upgrading indexer <gnocchi.indexer.sqlalchemy.SQLAlchemyIndexer object at 0x49c5b90>
2017-04-18 20:41:13.398 39313 INFO alembic.runtime.migration [-] Context impl MySQLImpl.
2017-04-18 20:41:13.399 39313 INFO alembic.runtime.migration [-] Will assume non-transactional DDL.
2017-04-18 20:48:09.414 22425 INFO gnocchi.cli [-] Upgrading indexer <gnocchi.indexer.sqlalchemy.SQLAlchemyIndexer object at 0x489db90>
2017-04-18 20:48:09.486 22425 INFO alembic.runtime.migration [-] Context impl MySQLImpl.
2017-04-18 20:48:09.487 22425 INFO alembic.runtime.migration [-] Will assume non-transactional DDL.
2017-04-18 20:53:13.164 47170 INFO gnocchi.cli [-] Upgrading indexer <gnocchi.indexer.sqlalchemy.SQLAlchemyIndexer object at 0x4efab90>
2017-04-18 20:53:13.221 47170 INFO alembic.runtime.migration [-] Context impl MySQLImpl.
2017-04-18 20:53:13.222 47170 INFO alembic.runtime.migration [-] Will assume non-transactional DDL.
2017-04-18 23:35:17.444 41124 INFO gnocchi.cli [-] Upgrading indexer <gnocchi.indexer.sqlalchemy.SQLAlchemyIndexer object at 0x3544110>
2017-04-18 23:35:17.476 41124 INFO alembic.runtime.migration [-] Context impl MySQLImpl.
2017-04-18 23:35:17.477 41124 INFO alembic.runtime.migration [-] Will assume non-transactional DDL.
2017-04-18 23:35:17.502 41124 INFO alembic.runtime.migration [-] Context impl MySQLImpl.
2017-04-18 23:35:17.502 41124 INFO alembic.runtime.migration [-] Will assume non-transactional DDL.
2017-04-18 23:35:17.516 41124 INFO alembic.runtime.migration [-] Running upgrade ed9c6ddc5c35 -> 34c517bcc2dd, shorter_foreign_key
2017-04-18 23:35:20.520 41124 INFO alembic.runtime.migration [-] Running upgrade 34c517bcc2dd -> 2e0b912062d1, drop_useless_enum
2017-04-18 23:35:20.522 41124 INFO alembic.runtime.migration [-] Running upgrade 2e0b912062d1 -> c62df18bf4ee, add unit column for metric
2017-04-18 23:35:20.619 41124 INFO alembic.runtime.migration [-] Running upgrade c62df18bf4ee -> 7e6f9d542f8b, resource_type state column
2017-04-18 23:35:20.730 41124 INFO alembic.runtime.migration [-] Running upgrade 7e6f9d542f8b -> 27d2a1d205ff, Add updating resource type states
2017-04-18 23:35:21.098 41124 INFO gnocchi.storage.ceph [-] Ceph storage backend use 'cradox' python library
2017-04-18 23:35:21.137 41124 INFO gnocchi.cli [-] Upgrading storage <gnocchi.storage.ceph.CephStorage object at 0x35df9d0>
2017-04-19 00:40:33.752 35652 INFO gnocchi.cli [-] Upgrading indexer <gnocchi.indexer.sqlalchemy.SQLAlchemyIndexer object at 0x49fed50>
2017-04-19 00:40:33.777 35652 INFO alembic.runtime.migration [-] Context impl MySQLImpl.
2017-04-19 00:40:33.777 35652 INFO alembic.runtime.migration [-] Will assume non-transactional DDL.
2017-04-19 00:40:33.797 35652 INFO alembic.runtime.migration [-] Context impl MySQLImpl.
2017-04-19 00:40:33.797 35652 INFO alembic.runtime.migration [-] Will assume non-transactional DDL.
2017-04-19 00:47:18.462 57880 INFO gnocchi.cli [-] Upgrading indexer <gnocchi.indexer.sqlalchemy.SQLAlchemyIndexer object at 0x37d0e10>
2017-04-19 00:47:18.495 57880 INFO alembic.runtime.migration [-] Context impl MySQLImpl.
2017-04-19 00:47:18.496 57880 INFO alembic.runtime.migration [-] Will assume non-transactional DDL.
2017-04-19 00:47:18.524 57880 INFO alembic.runtime.migration [-] Context impl MySQLImpl.
2017-04-19 00:47:18.525 57880 INFO alembic.runtime.migration [-] Will assume non-transactional DDL.
2017-04-19 00:55:59.672 83382 INFO gnocchi.cli [-] Upgrading indexer <gnocchi.indexer.sqlalchemy.SQLAlchemyIndexer object at 0x463be10>
2017-04-19 00:55:59.701 83382 INFO alembic.runtime.migration [-] Context impl MySQLImpl.
2017-04-19 00:55:59.701 83382 INFO alembic.runtime.migration [-] Will assume non-transactional DDL.
2017-04-19 00:55:59.726 83382 INFO alembic.runtime.migration [-] Context impl MySQLImpl.
2017-04-19 00:55:59.726 83382 INFO alembic.runtime.migration [-] Will assume non-transactional DDL.
2017-04-19 17:36:56.964 1009402 WARNING oslo_config.cfg [-] Option "user_id" from group "statsd" is deprecated for removal.  Its value may be silently ignored in the future.
2017-04-19 17:36:56.965 1009402 WARNING oslo_config.cfg [-] Option "project_id" from group "statsd" is deprecated for removal.  Its value may be silently ignored in the future.
2017-04-19 17:36:57.481 1009402 INFO gnocchi.cli [-] Upgrading indexer <gnocchi.indexer.sqlalchemy.SQLAlchemyIndexer object at 0x4a22bd0>
2017-04-19 17:36:57.506 1009402 INFO alembic.runtime.migration [-] Context impl MySQLImpl.
2017-04-19 17:36:57.506 1009402 INFO alembic.runtime.migration [-] Will assume non-transactional DDL.
2017-04-19 17:36:57.526 1009402 INFO alembic.runtime.migration [-] Context impl MySQLImpl.
2017-04-19 17:36:57.526 1009402 INFO alembic.runtime.migration [-] Will assume non-transactional DDL.
2017-04-19 17:36:57.538 1009402 INFO alembic.runtime.migration [-] Running upgrade 27d2a1d205ff -> 5c4f93e5bb4, mysql_float_to_timestamp
2017-04-19 17:36:59.744 1009402 INFO alembic.runtime.migration [-] Running upgrade 5c4f93e5bb4 -> aba5a217ca9b, merge_created_in_creator
2017-04-19 17:37:00.603 1009402 INFO alembic.runtime.migration [-] Running upgrade aba5a217ca9b -> 397987e38570, Remove slashes from original resource IDs, recompute their id with creator
2017-04-19 17:37:01.851 1009402 CRITICAL gnocchi [-] AttributeError: 'NoneType' object has no attribute 'encode'
2017-04-19 17:37:01.851 1009402 ERROR gnocchi Traceback (most recent call last):
2017-04-19 17:37:01.851 1009402 ERROR gnocchi   File "/usr/bin/gnocchi-upgrade", line 10, in <module>
2017-04-19 17:37:01.851 1009402 ERROR gnocchi     sys.exit(upgrade())
2017-04-19 17:37:01.851 1009402 ERROR gnocchi   File "/usr/lib/python2.7/site-packages/gnocchi/cli.py", line 68, in upgrade
2017-04-19 17:37:01.851 1009402 ERROR gnocchi     create_legacy_resource_types=conf.create_legacy_resource_types)
2017-04-19 17:37:01.851 1009402 ERROR gnocchi   File "/usr/lib/python2.7/site-packages/gnocchi/indexer/sqlalchemy.py", line 329, in upgrade
2017-04-19 17:37:01.851 1009402 ERROR gnocchi     command.upgrade(cfg, "head")
2017-04-19 17:37:01.851 1009402 ERROR gnocchi   File "/usr/lib/python2.7/site-packages/alembic/command.py", line 174, in upgrade
2017-04-19 17:37:01.851 1009402 ERROR gnocchi     script.run_env()
2017-04-19 17:37:01.851 1009402 ERROR gnocchi   File "/usr/lib/python2.7/site-packages/alembic/script/base.py", line 407, in run_env
2017-04-19 17:37:01.851 1009402 ERROR gnocchi     util.load_python_file(self.dir, 'env.py')
2017-04-19 17:37:01.851 1009402 ERROR gnocchi   File "/usr/lib/python2.7/site-packages/alembic/util/pyfiles.py", line 93, in load_python_file
2017-04-19 17:37:01.851 1009402 ERROR gnocchi     module = load_module_py(module_id, path)
2017-04-19 17:37:01.851 1009402 ERROR gnocchi   File "/usr/lib/python2.7/site-packages/alembic/util/compat.py", line 79, in load_module_py
2017-04-19 17:37:01.851 1009402 ERROR gnocchi     mod = imp.load_source(module_id, path, fp)
2017-04-19 17:37:01.851 1009402 ERROR gnocchi   File "/usr/lib/python2.7/site-packages/gnocchi/indexer/alembic/env.py", line 90, in <module>
2017-04-19 17:37:01.851 1009402 ERROR gnocchi     run_migrations_online()
2017-04-19 17:37:01.851 1009402 ERROR gnocchi   File "/usr/lib/python2.7/site-packages/gnocchi/indexer/alembic/env.py", line 78, in run_migrations_online
2017-04-19 17:37:01.851 1009402 ERROR gnocchi     context.run_migrations()
2017-04-19 17:37:01.851 1009402 ERROR gnocchi   File "<string>", line 8, in run_migrations
2017-04-19 17:37:01.851 1009402 ERROR gnocchi   File "/usr/lib/python2.7/site-packages/alembic/runtime/environment.py", line 797, in run_migrations
2017-04-19 17:37:01.851 1009402 ERROR gnocchi     self.get_context().run_migrations(**kw)
2017-04-19 17:37:01.851 1009402 ERROR gnocchi   File "/usr/lib/python2.7/site-packages/alembic/runtime/migration.py", line 312, in run_migrations
2017-04-19 17:37:01.851 1009402 ERROR gnocchi     step.migration_fn(**kw)
2017-04-19 17:37:01.851 1009402 ERROR gnocchi   File "/usr/lib/python2.7/site-packages/gnocchi/indexer/alembic/versions/397987e38570_no_more_slash_and_reencode.py", line 124, in upgrade
2017-04-19 17:37:01.851 1009402 ERROR gnocchi     new_original_resource_id, resource.creator)),
2017-04-19 17:37:01.851 1009402 ERROR gnocchi   File "/usr/lib/python2.7/site-packages/gnocchi/utils.py", line 55, in ResourceUUID
2017-04-19 17:37:01.851 1009402 ERROR gnocchi     creator = creator.encode('utf-8')
2017-04-19 17:37:01.851 1009402 ERROR gnocchi AttributeError: 'NoneType' object has no attribute 'encode'
2017-04-19 17:37:01.851 1009402 ERROR gnocchi
2017-04-19 17:37:09.106 1009678 WARNING oslo_config.cfg [-] Option "user_id" from group "statsd" is deprecated for removal.  Its value may be silently ignored in the future.
2017-04-19 17:37:09.107 1009678 WARNING oslo_config.cfg [-] Option "project_id" from group "statsd" is deprecated for removal.  Its value may be silently ignored in the future.
2017-04-19 17:37:09.527 1009678 INFO gnocchi.cli [-] Upgrading indexer <gnocchi.indexer.sqlalchemy.SQLAlchemyIndexer object at 0x5794bd0>
2017-04-19 17:37:09.551 1009678 INFO alembic.runtime.migration [-] Context impl MySQLImpl.
2017-04-19 17:37:09.551 1009678 INFO alembic.runtime.migration [-] Will assume non-transactional DDL.
2017-04-19 17:37:09.571 1009678 INFO alembic.runtime.migration [-] Context impl MySQLImpl.
2017-04-19 17:37:09.572 1009678 INFO alembic.runtime.migration [-] Will assume non-transactional DDL.
2017-04-19 17:37:09.584 1009678 INFO alembic.runtime.migration [-] Running upgrade aba5a217ca9b -> 397987e38570, Remove slashes from original resource IDs, recompute their id with creator
2017-04-19 17:37:09.653 1009678 CRITICAL gnocchi [-] DBNonExistentConstraint: (pymysql.err.InternalError) (1025, u"Error on rename of './gnocchi/metric' to './gnocchi/#sql2-cc072-db1' (errno: 152)") [SQL: u'ALTER TABLE metric DROP FOREIGN KEY fk_metric_resource_id_resource_id']
2017-04-19 17:37:09.653 1009678 ERROR gnocchi Traceback (most recent call last):
2017-04-19 17:37:09.653 1009678 ERROR gnocchi   File "/usr/bin/gnocchi-upgrade", line 10, in <module>
2017-04-19 17:37:09.653 1009678 ERROR gnocchi     sys.exit(upgrade())
2017-04-19 17:37:09.653 1009678 ERROR gnocchi   File "/usr/lib/python2.7/site-packages/gnocchi/cli.py", line 68, in upgrade
2017-04-19 17:37:09.653 1009678 ERROR gnocchi     create_legacy_resource_types=conf.create_legacy_resource_types)
2017-04-19 17:37:09.653 1009678 ERROR gnocchi   File "/usr/lib/python2.7/site-packages/gnocchi/indexer/sqlalchemy.py", line 329, in upgrade
2017-04-19 17:37:09.653 1009678 ERROR gnocchi     command.upgrade(cfg, "head")
2017-04-19 17:37:09.653 1009678 ERROR gnocchi   File "/usr/lib/python2.7/site-packages/alembic/command.py", line 174, in upgrade
2017-04-19 17:37:09.653 1009678 ERROR gnocchi     script.run_env()
2017-04-19 17:37:09.653 1009678 ERROR gnocchi   File "/usr/lib/python2.7/site-packages/alembic/script/base.py", line 407, in run_env
2017-04-19 17:37:09.653 1009678 ERROR gnocchi     util.load_python_file(self.dir, 'env.py')
2017-04-19 17:37:09.653 1009678 ERROR gnocchi   File "/usr/lib/python2.7/site-packages/alembic/util/pyfiles.py", line 93, in load_python_file
2017-04-19 17:37:09.653 1009678 ERROR gnocchi     module = load_module_py(module_id, path)
2017-04-19 17:37:09.653 1009678 ERROR gnocchi   File "/usr/lib/python2.7/site-packages/alembic/util/compat.py", line 79, in load_module_py
2017-04-19 17:37:09.653 1009678 ERROR gnocchi     mod = imp.load_source(module_id, path, fp)
2017-04-19 17:37:09.653 1009678 ERROR gnocchi   File "/usr/lib/python2.7/site-packages/gnocchi/indexer/alembic/env.py", line 90, in <module>
2017-04-19 17:37:09.653 1009678 ERROR gnocchi     run_migrations_online()
2017-04-19 17:37:09.653 1009678 ERROR gnocchi   File "/usr/lib/python2.7/site-packages/gnocchi/indexer/alembic/env.py", line 78, in run_migrations_online
2017-04-19 17:37:09.653 1009678 ERROR gnocchi     context.run_migrations()
2017-04-19 17:37:09.653 1009678 ERROR gnocchi   File "<string>", line 8, in run_migrations
2017-04-19 17:37:09.653 1009678 ERROR gnocchi   File "/usr/lib/python2.7/site-packages/alembic/runtime/environment.py", line 797, in run_migrations
2017-04-19 17:37:09.653 1009678 ERROR gnocchi     self.get_context().run_migrations(**kw)
2017-04-19 17:37:09.653 1009678 ERROR gnocchi   File "/usr/lib/python2.7/site-packages/alembic/runtime/migration.py", line 312, in run_migrations
2017-04-19 17:37:09.653 1009678 ERROR gnocchi     step.migration_fn(**kw)
2017-04-19 17:37:09.653 1009678 ERROR gnocchi   File "/usr/lib/python2.7/site-packages/gnocchi/indexer/alembic/versions/397987e38570_no_more_slash_and_reencode.py", line 91, in upgrade
2017-04-19 17:37:09.653 1009678 ERROR gnocchi     type_="foreignkey")
2017-04-19 17:37:09.653 1009678 ERROR gnocchi   File "<string>", line 8, in drop_constraint
2017-04-19 17:37:09.653 1009678 ERROR gnocchi   File "<string>", line 3, in drop_constraint
2017-04-19 17:37:09.653 1009678 ERROR gnocchi   File "/usr/lib/python2.7/site-packages/alembic/operations/ops.py", line 145, in drop_constraint
2017-04-19 17:37:09.653 1009678 ERROR gnocchi     return operations.invoke(op)
2017-04-19 17:37:09.653 1009678 ERROR gnocchi   File "/usr/lib/python2.7/site-packages/alembic/operations/base.py", line 318, in invoke
2017-04-19 17:37:09.653 1009678 ERROR gnocchi     return fn(self, operation)
2017-04-19 17:37:09.653 1009678 ERROR gnocchi   File "/usr/lib/python2.7/site-packages/alembic/operations/toimpl.py", line 146, in drop_constraint
2017-04-19 17:37:09.653 1009678 ERROR gnocchi     schema=operation.schema,
2017-04-19 17:37:09.653 1009678 ERROR gnocchi   File "/usr/lib/python2.7/site-packages/alembic/ddl/mysql.py", line 82, in drop_constraint
2017-04-19 17:37:09.653 1009678 ERROR gnocchi     super(MySQLImpl, self).drop_constraint(const)
2017-04-19 17:37:09.653 1009678 ERROR gnocchi   File "/usr/lib/python2.7/site-packages/alembic/ddl/impl.py", line 183, in drop_constraint
2017-04-19 17:37:09.653 1009678 ERROR gnocchi     self._exec(schema.DropConstraint(const))
2017-04-19 17:37:09.653 1009678 ERROR gnocchi   File "/usr/lib/python2.7/site-packages/alembic/ddl/impl.py", line 118, in _exec
2017-04-19 17:37:09.653 1009678 ERROR gnocchi     return conn.execute(construct, *multiparams, **params)
2017-04-19 17:37:09.653 1009678 ERROR gnocchi   File "/usr/lib64/python2.7/site-packages/sqlalchemy/engine/base.py", line 914, in execute
2017-04-19 17:37:09.653 1009678 ERROR gnocchi     return meth(self, multiparams, params)
2017-04-19 17:37:09.653 1009678 ERROR gnocchi   File "/usr/lib64/python2.7/site-packages/sqlalchemy/sql/ddl.py", line 68, in _execute_on_connection
2017-04-19 17:37:09.653 1009678 ERROR gnocchi     return connection._execute_ddl(self, multiparams, params)
2017-04-19 17:37:09.653 1009678 ERROR gnocchi   File "/usr/lib64/python2.7/site-packages/sqlalchemy/engine/base.py", line 968, in _execute_ddl
2017-04-19 17:37:09.653 1009678 ERROR gnocchi     compiled
2017-04-19 17:37:09.653 1009678 ERROR gnocchi   File "/usr/lib64/python2.7/site-packages/sqlalchemy/engine/base.py", line 1146, in _execute_context
2017-04-19 17:37:09.653 1009678 ERROR gnocchi     context)
2017-04-19 17:37:09.653 1009678 ERROR gnocchi   File "/usr/lib64/python2.7/site-packages/sqlalchemy/engine/base.py", line 1337, in _handle_dbapi_exception
2017-04-19 17:37:09.653 1009678 ERROR gnocchi     util.raise_from_cause(newraise, exc_info)
2017-04-19 17:37:09.653 1009678 ERROR gnocchi   File "/usr/lib64/python2.7/site-packages/sqlalchemy/util/compat.py", line 200, in raise_from_cause
2017-04-19 17:37:09.653 1009678 ERROR gnocchi     reraise(type(exception), exception, tb=exc_tb)
2017-04-19 17:37:09.653 1009678 ERROR gnocchi   File "/usr/lib64/python2.7/site-packages/sqlalchemy/engine/base.py", line 1139, in _execute_context
2017-04-19 17:37:09.653 1009678 ERROR gnocchi     context)
2017-04-19 17:37:09.653 1009678 ERROR gnocchi   File "/usr/lib64/python2.7/site-packages/sqlalchemy/engine/default.py", line 450, in do_execute
2017-04-19 17:37:09.653 1009678 ERROR gnocchi     cursor.execute(statement, parameters)
2017-04-19 17:37:09.653 1009678 ERROR gnocchi   File "/usr/lib/python2.7/site-packages/pymysql/cursors.py", line 166, in execute
2017-04-19 17:37:09.653 1009678 ERROR gnocchi     result = self._query(query)
2017-04-19 17:37:09.653 1009678 ERROR gnocchi   File "/usr/lib/python2.7/site-packages/pymysql/cursors.py", line 322, in _query
2017-04-19 17:37:09.653 1009678 ERROR gnocchi     conn.query(q)
2017-04-19 17:37:09.653 1009678 ERROR gnocchi   File "/usr/lib/python2.7/site-packages/pymysql/connections.py", line 841, in query
2017-04-19 17:37:09.653 1009678 ERROR gnocchi     self._affected_rows = self._read_query_result(unbuffered=unbuffered)
2017-04-19 17:37:09.653 1009678 ERROR gnocchi   File "/usr/lib/python2.7/site-packages/pymysql/connections.py", line 1029, in _read_query_result
2017-04-19 17:37:09.653 1009678 ERROR gnocchi     result.read()
2017-04-19 17:37:09.653 1009678 ERROR gnocchi   File "/usr/lib/python2.7/site-packages/pymysql/connections.py", line 1312, in read
2017-04-19 17:37:09.653 1009678 ERROR gnocchi     first_packet = self.connection._read_packet()
2017-04-19 17:37:09.653 1009678 ERROR gnocchi   File "/usr/lib/python2.7/site-packages/pymysql/connections.py", line 991, in _read_packet
2017-04-19 17:37:09.653 1009678 ERROR gnocchi     packet.check_error()
2017-04-19 17:37:09.653 1009678 ERROR gnocchi   File "/usr/lib/python2.7/site-packages/pymysql/connections.py", line 393, in check_error
2017-04-19 17:37:09.653 1009678 ERROR gnocchi     err.raise_mysql_exception(self._data)
2017-04-19 17:37:09.653 1009678 ERROR gnocchi   File "/usr/lib/python2.7/site-packages/pymysql/err.py", line 107, in raise_mysql_exception
2017-04-19 17:37:09.653 1009678 ERROR gnocchi     raise errorclass(errno, errval)
2017-04-19 17:37:09.653 1009678 ERROR gnocchi DBNonExistentConstraint: (pymysql.err.InternalError) (1025, u"Error on rename of './gnocchi/metric' to './gnocchi/#sql2-cc072-db1' (errno: 152)") [SQL: u'ALTER TABLE metric DROP FOREIGN KEY fk_metric_resource_id_resource_id']
2017-04-19 17:37:09.653 1009678 ERROR gnocchi
2017-04-19 17:37:16.694 1009844 WARNING oslo_config.cfg [-] Option "user_id" from group "statsd" is deprecated for removal.  Its value may be silently ignored in the future.
2017-04-19 17:37:16.694 1009844 WARNING oslo_config.cfg [-] Option "project_id" from group "statsd" is deprecated for removal.  Its value may be silently ignored in the future.
2017-04-19 17:37:17.161 1009844 INFO gnocchi.cli [-] Upgrading indexer <gnocchi.indexer.sqlalchemy.SQLAlchemyIndexer object at 0x4b83bd0>
2017-04-19 17:37:17.189 1009844 INFO alembic.runtime.migration [-] Context impl MySQLImpl.
2017-04-19 17:37:17.189 1009844 INFO alembic.runtime.migration [-] Will assume non-transactional DDL.
2017-04-19 17:37:17.216 1009844 INFO alembic.runtime.migration [-] Context impl MySQLImpl.
2017-04-19 17:37:17.216 1009844 INFO alembic.runtime.migration [-] Will assume non-transactional DDL.
2017-04-19 17:37:17.231 1009844 INFO alembic.runtime.migration [-] Running upgrade aba5a217ca9b -> 397987e38570, Remove slashes from original resource IDs, recompute their id with creator
2017-04-19 17:37:17.369 1009844 CRITICAL gnocchi [-] DBNonExistentConstraint: (pymysql.err.InternalError) (1025, u"Error on rename of './gnocchi/metric' to './gnocchi/#sql2-cc072-dc8' (errno: 152)") [SQL: u'ALTER TABLE metric DROP FOREIGN KEY fk_metric_resource_id_resource_id']
2017-04-19 17:37:17.369 1009844 ERROR

Comment 5 Pradeep Kilambi 2017-04-20 20:57:49 UTC
new packages built in brew

Comment 8 errata-xmlrpc 2017-05-17 20:23:12 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2017:1245


Note You need to log in before you can comment on or make changes to this bug.